USING(1)

NAME
Using - manual page for Using python version: 3.14.4 (main, Apr 8 2026, 04:02:31) [GCC 15.2.0]

DESCRIPTION
Using python version: 3.14.4 (main, Apr 8 2026, 04:02:31) [GCC 15.2.0] usage: yade-double-batch [options] [ TABLE [SIMULATION.py] | SIMULATION.py[/nCores] [...] ]

yade-double-batch runs yade simulation multiple times with different parameters. See https://yade-dem.org/sphinx/user.html#batch-queuing-andexecution-yade-batch for details. Batch can be specified either with parameter table TABLE (must not end in .py), which is either followed by exactly one SIMULATION.py (must end in .py), or contains !SCRIPT column specifying the simulation to be run. The second option is to specify multiple scripts, which can optionally have /nCores suffix to specify number of cores for that particular simulation (corresponds to !THREADS column in the parameter table), e.g. sim.py/3.

  options:

-h, --help
    show this help message and exit

-j, --jobs NUM
    Maximum number of simultaneous threads to run (default: number of cores, further limited by OMP_NUM_THREADS if set by the environment: 4)

-v, --version
    Print version and exit.

--job-threads NUM
    Default number of threads for one job; can be overridden by per-job with !THREADS (or !OMP_NUM_THREADS) column. Defaults to 1.

--force-threads
    Force jobs to not use more cores than the maximum (see -j), even if !THREADS colums specifies more.

--log FORMAT
    Format of job log files: must contain a $, % or @, which will be replaced by script name, line number or by description column respectively (default: $.@.log)

--global-log FILE
    Filename where to redirect output of yade-batch itself (as opposed to --log); if not specified (default), stdout/stderr are used

-l, --lines LIST
    Lines of TABLE to use, in the format 2,3-5,8,11-13 (default: all available lines in TABLE)

--nice NICE
    Nice value of spawned jobs (default: 10)

--cpu-affinity
    Bind each job to specific CPU cores; cores are assigned in a quasi-random order, depending on availability at the moment the jobs is started. Each job can override this setting by setting AFFINE column.

--executable FILE
    Name of the program to run (default: /build/yadeayYhKg/yade-2026.1.0/debian/tmp/usr/bin/yade-double). Jobs can override with !EXEC column.

--gnuplot FILE
    Gnuplot file where gnuplot from all jobs should be put together

--dry-run
    Do not actually run (useful for getting gnuplot only, for instance)

--http-wait
    Do not quit if still serving overview over http repeatedly

--plot-update TIME
    Interval (in seconds) at which job plots will be updated even if not requested via HTTP. Non-positive values will make the plots not being updated and saved unless requested via HTTP (see --plot-timeout for controlling maximum age of those). Plots are saved at exit under the same name as the log file, with the .log extension removed. (default: 120 seconds)

--plot-timeout TIME
    Maximum age (in seconds) of plots served over HTTP; they will be updated if they are older. (default: 30 seconds)

--refresh TIME
    Refresh rate of automatically reloaded web pages (summary, logs, ...).

--timing COUNT
    Repeat each job COUNT times, and output a simple table with average/variance/minimum/maximum job duration; used for measuring how various parameters affect execution time. Jobs can override the global value with the !COUNT column.

--timing-output FILE
    With --timing, save measured durations to FILE, instead of writing to standard output.

--randomize
    Randomize job order (within constraints given by assigned cores).

--disable-pynotify
    Disable screen notifications

-L, --libs IMPLIBRARIES
    import libraries at startup before importing yade libs. May be used when the ordering of imports matter (see e.g. https://bugs.launchpad.net/yade/+bug/1183402 /comments/3). The option can be used multiple times, as in "yade -Llib1 -Llib2"

Yade version: 2026.1.0, features: LOGGER USEFUL_ERRORS COMPLEX_MP MPFR MPC VTK OPENMP GTS QT5 MPI LS_DEM FEMLIKE GL2PS LBMFLOW POTENTIAL_PARTICLES

SEE ALSO
The full documentation for Using is maintained as a Texinfo manual. If the info and Using programs are properly installed at your site, the command

    info Using

should give you access to the complete manual.